Bug 832271 - [abrt] inkscape-0.48.1-9.fc16: begin: Process /usr/bin/inkscape was killed by signal 11 (SIGSEGV)
[abrt] inkscape-0.48.1-9.fc16: begin: Process /usr/bin/inkscape was killed by...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:71555873ff493d204e0a2651f66...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 23:59 EDT by David Duncan
Modified: 2013-02-13 11:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:05:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.17 KB, text/plain)
2012-06-14 23:59 EDT, David Duncan
no flags Details
File: maps (54.18 KB, text/plain)
2012-06-14 23:59 EDT, David Duncan
no flags Details
File: dso_list (11.55 KB, text/plain)
2012-06-14 23:59 EDT, David Duncan
no flags Details
File: build_ids (4.76 KB, text/plain)
2012-06-14 23:59 EDT, David Duncan
no flags Details

  None (edit)
Description David Duncan 2012-06-14 23:59:12 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        inkscape /home/dduncan/sandbox/paper-review/project-rhs-2_0/Images/scale-out.svg
comment:        I was beating out a number of <ctrl> + Z keystrokes.  more than i should have.  
crash_function: begin
executable:     /usr/bin/inkscape
kernel:         3.3.8-1.fc16.x86_64
pid:            30803
pwd:            /home/dduncan
reason:         Process /usr/bin/inkscape was killed by signal 11 (SIGSEGV)
time:           Thu 14 Jun 2012 11:29:43 PM EDT
uid:            1000
username:       dduncan

backtrace:      Text file, 39088 bytes
build_ids:      Text file, 4879 bytes
dso_list:       Text file, 11826 bytes
maps:           Text file, 55477 bytes

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=3
:HOSTNAME=dduncan.redhat.nuncan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=97de8b809a8b59cc963210c1000000b6-1339653706.246864-544659931
:GNOME_KEYRING_CONTROL=/tmp/keyring-iIXG4m
:IMSETTINGS_MODULE=none
:HISTFILESIZE=5000
:USER=dduncan
:EC2_HOME=/home/dduncan/lib/ec2
:USERNAME=dduncan
:MAIL=/var/spool/mail/dduncan
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/dduncan/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/dduncan
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1860
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/dduncan
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=dduncan
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-30JY2OCTeh,guid=98edc21f074e737f23f8a29700000044
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/dduncan
:DISPLAY=:1.0
:XAUTHORITY=/var/run/gdm/auth-for-dduncan-DqqKRi/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1868,unix/unix:/tmp/.ICE-unix/1868
:SSH_AUTH_SOCK=/tmp/keyring-iIXG4m/ssh
:GPG_AGENT_INFO=/tmp/keyring-iIXG4m/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-inkscape.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=30803

event_log:
:2012-06-14-23:30:40> Analyzing coredump 'coredump'
:2012-06-14-23:30:57  Coredump references 119 debuginfo files, 8 of them are not installed
:2012-06-14-23:30:58  Setting up yum repositories
:2012-06-14-23:31:14  Looking for needed packages in repositories
:2012-06-14-23:31:37  Packages to download: 4
:2012-06-14-23:32:11  Downloading 14.65Mb, installed size: 68.49Mb. Continue? YES
:2012-06-14-23:32:17  Downloading (1 of 4) openssl-debuginfo-1.0.0j-1.fc16.x86_64.rpm:  73
:2012-06-14-23:32:21  Downloading (1 of 4) openssl-debuginfo-1.0.0j-1.fc16.x86_64.rpm: 100
:2012-06-14-23:32:21  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-14-23:30:41.32075/openssl-debuginfo-1.0.0j-1.fc16.x86_64.rpm
:2012-06-14-23:32:21  Caching files from unpacked.cpio made from openssl-debuginfo-1.0.0j-1.fc16.x86_64.rpm
:2012-06-14-23:32:23  Downloading (2 of 4) gamin-debuginfo-0.1.10-10.fc16.x86_64.rpm: 100
:2012-06-14-23:32:23  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-14-23:30:41.32075/gamin-debuginfo-0.1.10-10.fc16.x86_64.rpm
:2012-06-14-23:32:23  Caching files from unpacked.cpio made from gamin-debuginfo-0.1.10-10.fc16.x86_64.rpm
:2012-06-14-23:32:29  Downloading (3 of 4) krb5-debuginfo-1.9.3-2.fc16.x86_64.rpm:  58
:2012-06-14-23:32:32  Downloading (3 of 4) krb5-debuginfo-1.9.3-2.fc16.x86_64.rpm: 100
:2012-06-14-23:32:32  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-14-23:30:41.32075/krb5-debuginfo-1.9.3-2.fc16.x86_64.rpm
:2012-06-14-23:32:33  Caching files from unpacked.cpio made from krb5-debuginfo-1.9.3-2.fc16.x86_64.rpm
:2012-06-14-23:32:38  Downloading (4 of 4) python-debuginfo-2.7.3-3.fc16.x86_64.rpm:  35
:2012-06-14-23:32:44  Downloading (4 of 4) python-debuginfo-2.7.3-3.fc16.x86_64.rpm:  79
:2012-06-14-23:32:46  Downloading (4 of 4) python-debuginfo-2.7.3-3.fc16.x86_64.rpm: 100
:2012-06-14-23:32:46  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-14-23:30:41.32075/python-debuginfo-2.7.3-3.fc16.x86_64.rpm
:2012-06-14-23:32:47  Caching files from unpacked.cpio made from python-debuginfo-2.7.3-3.fc16.x86_64.rpm
:2012-06-14-23:32:47  Removing /tmp/abrt-tmp-debuginfo-2012-06-14-23:30:41.32075
:2012-06-14-23:32:47  All 119 debuginfo files are available
:2012-06-14-23:32:47  Generating backtrace
:2012-06-14-23:33:01  Backtrace is generated and saved, 39088 bytes
:2012-06-14-23:58:25> Element 'xsession_errors' saved
:2012-06-14-23:58:25> GConf directory /apps/inkscape does not exist
:2012-06-14-23:58:25* (exited with 1)
:2012-06-14-23:58:27> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: 7eb8acc3-3615-42c6-b699-ed49b8510263
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5382.57
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 3842
:System Swap: 5887
:Vendor: LENOVO
:System: 4243B37 ThinkPad T520
:Form factor: Notebook
:Kernel: 3.3.8-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59427:6058:8655) pci, sdhci-pci, BASE, N/A
:(32902:294:6058:8655) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dduncan-lv_root / ext4 4096 4096 13081819 7161002 6505642 3276800 2976585 2976585
:/dev/sda1 /boot ext4 1024 1024 508745 410094 384494 128016 127785 127785
:/dev/mapper/vg_dduncan-lv_home /home ext4 4096 4096 107230882 99253773 93886375 26836992 26725884 26725884
:/dev/sr0 WITHHELD iso9660 UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:

var_log_messages:
:Jun 11 06:08:24 dduncan kernel: [1692045.936054] inkscape[29975]: segfault at 50 ip 00000000008c4456 sp 00007fff64322ac0 error 4 in inkscape[400000+c38000]
:Jun 11 06:08:34 dduncan abrt[4026]: Saved core dump of pid 29975 (/usr/bin/inkscape) to /var/spool/abrt/ccpp-2012-06-11-06:08:24-29975 (304275456 bytes)
:Jun 14 23:29:43 dduncan kernel: [69823.603132] inkscape[30803]: segfault at 0 ip 00000000006dabb5 sp 00007fff3f0762a0 error 4 in inkscape[400000+c38000]
:Jun 14 23:29:52 dduncan abrt[32013]: Saved core dump of pid 30803 (/usr/bin/inkscape) to /var/spool/abrt/ccpp-2012-06-14-23:29:43-30803 (383528960 bytes)

xsession_errors:
:(inkscape:25307): Gtk-CRITICAL **: IA__gtk_widget_grab_default: assertion `gtk_widget_get_can_default (widget)' failed
:(inkscape:25328): Gtk-CRITICAL **: IA__gtk_widget_grab_default: assertion `gtk_widget_get_can_default (widget)' failed
:(inkscape:25381): Gtk-CRITICAL **: IA__gtk_widget_grab_default: assertion `gtk_widget_get_can_default (widget)' failed
:(inkscape:25381): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/dduncan/sandbox/paper-review/project-rhs-2_0/Images/DlnORo.svg': Error stating file '/home/dduncan/sandbox/paper-review/project-rhs-2_0/Images/DlnORo.svg': No such file or directory
:If you can reproduce this crash, please file a bug at www.inkscape.org
Comment 1 David Duncan 2012-06-14 23:59:18 EDT
Created attachment 591984 [details]
File: backtrace
Comment 2 David Duncan 2012-06-14 23:59:21 EDT
Created attachment 591985 [details]
File: maps
Comment 3 David Duncan 2012-06-14 23:59:23 EDT
Created attachment 591986 [details]
File: dso_list
Comment 4 David Duncan 2012-06-14 23:59:26 EDT
Created attachment 591987 [details]
File: build_ids
Comment 5 Fedora Admin XMLRPC Client 2012-10-03 13:39:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2013-01-16 09:50:45 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 11:05:30 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.